import * as z from 'zod';

export const ProjectC = z.object({
    comment: z.string().nullish(),
    source_id: z.string(),
    title: z.string(),
});
export type Project = z.infer<typeof ProjectC>;

export const ProjectsList = z.array(ProjectC);

export const ProjectsResC = z.object({
    projects: ProjectsList
});

export type ProjectsRes = z.infer<typeof ProjectsResC>;